<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('soal', function (Blueprint $table) {
            $table->string('jawaban_a')->nullable()->change();
            $table->string('jawaban_b')->nullable()->change();
            $table->string('jawaban_c')->nullable()->change();
            $table->string('jawaban_d')->nullable()->change();
            $table->string('jawaban_e')->nullable()->change();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('soal', function (Blueprint $table) {
            $table->string('jawaban_a')->change();
            $table->string('jawaban_b')->change();
            $table->string('jawaban_c')->change();
            $table->string('jawaban_d')->change();
            $table->string('jawaban_e')->change();
        });
    }
};
